# Secure your network

When securing your network it's important to have a good understanding of the infrastructure services you are using. In this section, we will describe very common infrastructure service providers and how to secure your application within those environments.

## Kubernetes

If you have deployed your application on Kubernetes, make sure that there is no direct [ingress ](https://kubernetes.io/docs/concepts/services-networking/ingress/#what-is-ingress)to your application or microservices, also make sure that the services linked to your application services are of `type:`` `*`NodePort`,* and set to`externalTrafficPolicy: 'local'`&#x20;

Unless you are confident with what you are doing, you should only have one *LoadBalancer* that is directed to your Ingress and which should redirect every request to the Leza Proxy

## Docker compose

If you using Docker Compose to deploy your application or services, ensure you create a private network for your applications, microservices and databases then share that network with the LeZa Proxy

**Example:**

```yaml
// LeZa Proxy
proxy:
  ...
  networks:
    - my_network
    - public

// Your applications, services and databases
app:
  ...
  networks:
    - my_network
service:
  ...
  networks:
    - my_network
database:
  ...
  networks:
    - my_network
// Your networks
networks:
  public:
    ...
    internal: false
  my_network:
    ...
    internal: true
```

## AWS

If you have deployed your application on AWS, make sure that the security groups linked to your application services and Load Balancers are configured to block any external access with the exception of your Load-balancer and the container that runs your LeZa Proxy.&#x20;

## Google Cloud

*We're working on it* :paintbrush:&#x20;

## Azure

*We're working on it* :paintbrush:&#x20;

## Digital Ocean

*We're working on it* :paintbrush:&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.leza.glasc.io/getting_started/secure-your-network.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
